Search all customers for a given team context.

Search for customers within a team using flexible query parameters, including name, type, channel, and status. Supports pagination, sorting, and filtering by customer attributes.

Required RBAC Policy: kots/app/[:appid]/license/[:licenseid]/read

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Search customers parameters. At least one of the following flags is required: include_inactive, include_active. At least one of the following flags is required: include_dev, include_trial, include_paid, include_community, include_test.

string
string

The app id to limit search. If not provided, customers for all apps will be searched.

channel_names
array of strings

Restrict search to customers in the specified channels.

channel_names
date-time
boolean

When set to true, active customers will be included in the search results. Default is false.

boolean

When set to true, archived customers will be included in the search results. Default is false.

boolean

When set to true, community customers will be included in the search results. Default is false.

boolean

When set to true, dev customers will be included in the search results. Default is false.

boolean

When set to true, inactive customers will be included in the search results. Default is false.

boolean

When set to true, paid customers will be included in the search results. Default is false.

boolean

When set to true, test customers will be included in the search results. Default is false.

boolean

When set to true, trial customers will be included in the search results. Default is false.

boolean

When set to true, more detailed information for active and inactive customer instances will be provided in the search results. If false, active and inactive instances will be combined into a single list. Default is false.

string

Search by license ID or Enterprise Portal service account token. When provided, this will find the specific customer associated with the license ID or service account token. This field accepts both actual license IDs and Enterprise Portal service account tokens as license substitutes.

int64

The maximum number of instances to return for each customer. Default is 3.

int64

The number of pages to skip.

int64

The number of customers to return per page.

string

The search query. By default this value will be used to search customers by name. When value is in the key:value format, it can be used to search specific fields. The following fields are supported. name: search by customer name. For example name:acme. This search is fuzzy and case insensitive. type: search by customer type. Possible values are prod, trial, dev, and community. For example type:trial. airgap: search by airgap status. Possible values are true and false. For example airgap:true. channels.name: search by channel name. For example channels.name:stable. This search is fuzzy and case insensitive. customId: search by custom id. For example customId:123. This is an exact match search. email: search by customer email. For example email:[email protected]. This is an exact match search.

string

The sort direction. Possible values are asc and desc. Default is desc if sort_field is specified.

string

The field to sort by. Possible values are expiresAt, createdAt, name, type. There is no default value.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json